<?php

//	Author:	Howie Dines (howie@howie.co.uk)
//	Copyright:	2007 Dincom (Dines Communications)  All rights reserved.
//	Details:	definitions.php (Munin in BQ) v1.2.1 2007/04/07 01:20:00


	include("ServerScriptHelper.php");
	include_once("Product.php");

	$serverScriptHelper = new ServerScriptHelper();

	if (!$serverScriptHelper->getAllowed('adminUser')) {
		header("location: /error/forbidden.html");
		return;
	}




	$factory = $serverScriptHelper->getHtmlComponentFactory("dincom-munin", "/dincom/munin/definition.php");
	$i18n = $serverScriptHelper->getI18n("dincom-munin");
	$product = new Product($serverScriptHelper->getCceClient());

	$content1 = $i18n->interpolateHTML("[[dincom-munin.dincomTextGauge]]");
	$content2 = $i18n->interpolateHTML("[[dincom-munin.dincomTextCounter]]");
	$content3 = $i18n->interpolateHTML("[[dincom-munin.dincomTextDerive]]");
	$content4 = $i18n->interpolateHTML("[[dincom-munin.dincomTextAbsolute]]");

	$page = $factory->getPage();


	$block = $factory->getPagedBlock("dincomDefinition", array());
	$block->processErrors($serverScriptHelper->getErrors());


	$block->addDivider($factory->getLabel("dincomDataTypes", false));

	$block->addFormField(
	  $factory->getTextField("dinconDataGauge", $content1, "r"),
	  $factory->getLabel("dincomDataGauge")
	);

	$block->addFormField(
	  $factory->getTextField("dinconDataCounter", $content2, "r"),
	  $factory->getLabel("dincomDataCounter")
	);

	$block->addFormField(
	  $factory->getTextField("dinconDataderive", $content3, "r"),
	  $factory->getLabel("dincomDataDerive")
	);

	$block->addFormField(
	  $factory->getTextField("dinconDataAbsolute", $content4, "r"),
	  $factory->getLabel("dincomDataAbsolute")
	);





	echo $page->toHeaderHtml();
	echo $block->toHtml();


//	Add a Java back button
	echo("<br>");
  	$weblink = $factory->getButton("javascript:history.back()", "dincomBackButton");
  	echo $weblink->toHtml();


	echo $page->toFooterHtml();

	$serverScriptHelper->destructor();
?>


<center>
<font size="1" face="Arial">
<em><a href="http://munin.sourceforge.net/"target=_blank>Munin</a>
inside the BlueQuartz GUI<br><? include("dincom_munin_version.php");?> Howie Dines, Copyright
  &copy; 1995 - 2007 <a href="http://www.dincom.co.uk/bq/"target=_blank>DINCOM</a> (Dines Communications)
  </em><font>

</center>

