<?php

//	Author:	Howie Dines (howie@howie.co.uk)
//	Copyright:	2007 Dincom (Dines Communications)  All rights reserved.
//	Details:	(setup)index.php (Munin in BQ) v1.2.1 2007/04/07 23:34:00


	include("ServerScriptHelper.php");
	include_once("Product.php");

	$serverScriptHelper = new ServerScriptHelper();

	if (!$serverScriptHelper->getAllowed('adminUser')) {
		header("location: /error/forbidden.html");
		return;
	}




	$factory = $serverScriptHelper->getHtmlComponentFactory("dincom-munin", "/dincom/munin/index.php");
	$i18n = $serverScriptHelper->getI18n("dincom-munin");
	$product = new Product($serverScriptHelper->getCceClient());

	$content1 = $i18n->interpolateHTML("[[dincom-munin.dincomWelcomeText1]]");
	$content2 = $i18n->interpolateHTML("[[dincom-munin.dincomWelcomeText2]]");


	$page = $factory->getPage();


	$block = $factory->getPagedBlock("dincomWelcomeHead", array());
	$block->processErrors($serverScriptHelper->getErrors());



	$block->addFormField(
	  $factory->getTextField("dinconWelcome", $content1, "r"),
	  $factory->getLabel("dincomWelcome")
	);

	$block->addFormField(
	  $factory->getTextField("dinconWelcomeBlank", $content2, "r"),
	  $factory->getLabel("dincomWelcomeBlank")
	);







	echo $page->toHeaderHtml();
	echo $block->toHtml();

	// refresh (install)index.php page every 30 seconds until replaced (Time in milliseconds)
	$refresh = 30 * 1000;
	echo("<SCRIPT LANGUAGE=\"javascript\"> 
	setTimeout(\"location.reload(true)\", $refresh); </SCRIPT>");


	echo $page->toFooterHtml();

	$serverScriptHelper->destructor();
?>
<META http-equiv="Refresh" content="30">

<center>
<IMG SRC="logo.gif" border="0"><br>
<font size="1" face="Arial">
<em><a href="http://munin.sourceforge.net/"target=_blank>Munin</a>
inside the BlueQuartz GUI<br><? include("dincom_munin_version.php");?> Howie Dines, Copyright
  &copy; 1995 - 2007 <a href="http://www.dincom.co.uk/bq/"target=_blank>DINCOM</a> (Dines Communications)
  </em><font>

</center>

