<?php

//	Author:	Howie Dines (howie@howie.co.uk)
//	Copyright:	2007 Dincom (Dines Communications)  All rights reserved.
//	Details:	logs.php (Munin in BQ) v1.2.1 2007/04/07 01:35:00


	include("ServerScriptHelper.php");
	include_once("Product.php");

	$serverScriptHelper = new ServerScriptHelper();

	if (!$serverScriptHelper->getAllowed('adminUser')) {
		header("location: /error/forbidden.html");
		return;
	}




	$factory = $serverScriptHelper->getHtmlComponentFactory("dincom-munin", "/dincom/munin/dincom-munin.php");
	$i18n = $serverScriptHelper->getI18n("dincom-munin");
	$product = new Product($serverScriptHelper->getCceClient());


	$content0 = $i18n->interpolateHTML("[[dincom-munin.dincomText2]]");


$serverScriptHelper->shell("/usr/bin/tail -40 /var/log/munin/munin-graph.log", $content1, 'root');
$serverScriptHelper->shell("/usr/bin/tail -40 /var/log/munin/munin-html.log", $content2, 'root');
$serverScriptHelper->shell("/usr/bin/tail -40 /var/log/munin/munin-limits.log", $content3, 'root');
$serverScriptHelper->shell("/usr/bin/tail -40 /var/log/munin/munin-node.log", $content4, 'root');
$serverScriptHelper->shell("/usr/bin/tail -40 /var/log/munin/munin-update.log", $content5, 'root');


	$cont1 = ("/var/log/munin/munin-graph.log");
	$cont2 = ("/var/log/munin/munin-html.log");
	$cont3 = ("/var/log/munin/munin-limits.log");
	$cont4 = ("/var/log/munin/munin-node.log");
	$cont5 = ("/var/log/munin/munin-update.log");

	$emptyMessage = ("The log file is currently empty");



	$page = $factory->getPage();





        $block = $factory->getPagedBlock("dincomLogs", array("dincomBlank", "dincomGraph", "dincomHTML", "dincomLimits", "dincomNode", "dincomUpdate"));
        $block->processErrors($serverScriptHelper->getErrors());






	$block->addFormField(
		$factory->getTextField("dincomTextAbout", $content0, "r"),
		$factory->getLabel("dincomTextAbout"),
		"dincomBlank");



	$block->addDivider($factory->getLabel($cont1, false), 'dincomGraph');
 		$log1 = $factory->getTextBlock("graph", $content1);
 		$log1->setHeight("20");
 		$log1->setWidth("80");
 	$block->addFormField($log1,'',"dincomGraph");


	$block->addDivider($factory->getLabel($cont2, false), 'dincomHTML');
 		$log2 = $factory->getTextBlock("html", $content2);
 		$log2->setHeight("20");
 		$log2->setWidth("80");
 	$block->addFormField($log2,'',"dincomHTML");


	$block->addDivider($factory->getLabel($cont3, false), 'dincomLimits');
 		$log3 = $factory->getTextBlock("limits", $content3);
 		$log3->setHeight("20");
 		$log3->setWidth("80");
 	$block->addFormField($log3,'',"dincomLimits");


	$block->addDivider($factory->getLabel($cont4, false), 'dincomNode');
 		$log4 = $factory->getTextBlock("node", $content4);
 		$log4->setHeight("20");
 		$log4->setWidth("80");
 	$block->addFormField($log4,'',"dincomNode");


	$block->addDivider($factory->getLabel($cont5, false), 'dincomUpdate');
 		$log5 = $factory->getTextBlock("update", $content5);
 		$log5->setHeight("20");
 		$log5->setWidth("80");
 	$block->addFormField($log5,'',"dincomUpdate");






	echo $page->toHeaderHtml();
	echo $block->toHtml();
	echo $page->toFooterHtml();

	$serverScriptHelper->destructor();


?>


<center>
<IMG SRC="logo.gif" border="0"><br>
<font size="1" face="Arial">
<em><a href="http://munin.sourceforge.net/"target=_blank>Munin</a>
inside the BlueQuartz GUI<br><? include("dincom_munin_version.php");?> Howie Dines, Copyright
  &copy; 1995 - 2007 <a href="http://www.dincom.co.uk/bq/"target=_blank>DINCOM</a> (Dines Communications)
  </em><font>

</center>




